#MakeColLabelBold.py.
import SpssClient
SpssClient.StartClient()

itemlabel = "Descriptive Statistics"
collabel = "Mean"
OutputDoc = SpssClient.GetDesignatedOutputDoc()
OutputItems = OutputDoc.GetOutputItems()

for index in range(OutputItems.Size()):
   OutputItem = OutputItems.GetItemAt(index)
   if (OutputItem.GetType() == SpssClient.OutputItemType.PIVOT) and \
      (OutputItem.GetDescription() == itemlabel):
       PivotTable = OutputItem.GetSpecificType()
       SpssLabels = PivotTable.ColumnLabelArray()
       for i in range(SpssLabels.GetNumRows()):
          for j in range(SpssLabels.GetNumColumns()):
             if SpssLabels.GetValueAt(i,j)==collabel:
                SpssLabels.SelectLabelAt(i,j)
       PivotTable.SetTextStyle(SpssClient.SpssTextStyleTypes.SpssTSBold)
SpssClient.StopClient()
